package b4j.jUINodes;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.debug.*;

public class main extends javafx.application.Application{
public static main mostCurrent = new main();

public static BA ba;
static {
		ba = new  anywheresoftware.b4a.ShellBA("b4j.jUINodes", "b4j.jUINodes.main", null);
		ba.loadHtSubs(main.class);
        if (ba.getClass().getName().endsWith("ShellBA")) {
			anywheresoftware.b4a.ShellBA.delegateBA = new anywheresoftware.b4j.objects.FxBA("b4j.jUINodes", null, null);
			ba.raiseEvent2(null, true, "SHELL", false);
			ba.raiseEvent2(null, true, "CREATE", true, "b4j.jUINodes.main", ba);
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}

 
    public static void main(String[] args) {
    	launch(args);
    }
    public void start (javafx.stage.Stage stage) {
        try {
            if (!false)
                System.setProperty("prism.lcdtext", "false");
            anywheresoftware.b4j.objects.FxBA.application = this;
		    anywheresoftware.b4a.keywords.Common.setDensity(javafx.stage.Screen.getPrimary().getDpi());
            anywheresoftware.b4a.keywords.Common.LogDebug("Program started.");
            initializeProcessGlobals();
            anywheresoftware.b4j.objects.Form frm = new anywheresoftware.b4j.objects.Form();
            frm.initWithStage(ba, stage, 800, 800);
            ba.raiseEvent(null, "appstart", frm, (String[])getParameters().getRaw().toArray(new String[0]));
        } catch (Throwable t) {
            BA.printException(t, true);
            System.exit(1);
        }
    }


private static boolean processGlobalsRun;
public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4j.objects.JFX _fx = null;
public static anywheresoftware.b4j.objects.Form _mainform = null;
public static anywheresoftware.b4j.objects.MenuItemWrapper.MenuBarWrapper _menubar1 = null;
public static anywheresoftware.b4j.objects.DatePickerWrapper _datepicker1 = null;
public static anywheresoftware.b4j.objects.ColorPickerWrapper _colorpicker1 = null;
public static anywheresoftware.b4j.objects.TableViewWrapper _tableview1 = null;
public static anywheresoftware.b4j.objects.SplitPaneWrapper _splitpane1 = null;
public static anywheresoftware.b4j.objects.CheckboxWrapper _ckbvertical = null;
public static anywheresoftware.b4j.objects.ComboBoxWrapper _combobox1 = null;
public static anywheresoftware.b4j.objects.ChoiceBoxWrapper _choicebox1 = null;
public static anywheresoftware.b4j.objects.TreeViewWrapper _treeview1 = null;
public static anywheresoftware.b4j.objects.TreeViewWrapper _treeview2 = null;
public static anywheresoftware.b4j.objects.LabelWrapper _lbltableview = null;
public static anywheresoftware.b4j.objects.LabelWrapper _lbltreeview1 = null;
public static anywheresoftware.b4j.objects.LabelWrapper _lbltreeview2 = null;
public static anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper _imgfolderclosed = null;
public static anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper _imgfolderopen = null;
public static String  _appstart(anywheresoftware.b4j.objects.Form _form1,String[] _args) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "appstart"))
	return (String) Debug.delegate(ba, "appstart", new Object[] {_form1,_args});
RDebugUtils.currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Sub AppStart (Form1 As Form, Args() As String)";
RDebugUtils.currentLine=65537;
 //BA.debugLineNum = 65537;BA.debugLine="MainForm = Form1";
_mainform = _form1;
RDebugUtils.currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="MainForm.RootPane.LoadLayout(\"Main\") 'Load the la";
_mainform.getRootPane().LoadLayout(ba,"Main");
RDebugUtils.currentLine=65539;
 //BA.debugLineNum = 65539;BA.debugLine="MainForm.Show";
_mainform.Show();
RDebugUtils.currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="imgFolderClosed.Initialize(File.DirAssets, \"Folde";
_imgfolderclosed.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"FolderClosed.jpg");
RDebugUtils.currentLine=65542;
 //BA.debugLineNum = 65542;BA.debugLine="InitMenuBar";
_initmenubar();
RDebugUtils.currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="DateTime.DateFormat = \"yyyy/MM/dd\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("yyyy/MM/dd");
RDebugUtils.currentLine=65545;
 //BA.debugLineNum = 65545;BA.debugLine="DatePicker1.DateFormat = \"yyyy/MM/dd\"";
_datepicker1.setDateFormat("yyyy/MM/dd");
RDebugUtils.currentLine=65546;
 //BA.debugLineNum = 65546;BA.debugLine="DatePicker1.DateTicks = DateTime.DateParse(\"2017/";
_datepicker1.setDateTicks(anywheresoftware.b4a.keywords.Common.DateTime.DateParse("2017/04/25"));
RDebugUtils.currentLine=65547;
 //BA.debugLineNum = 65547;BA.debugLine="DatePicker1.Editable = False";
_datepicker1.setEditable(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=65549;
 //BA.debugLineNum = 65549;BA.debugLine="ColorPicker1.SelectedColor = fx.Colors.Red";
_colorpicker1.setSelectedColor(_fx.Colors.Red);
RDebugUtils.currentLine=65551;
 //BA.debugLineNum = 65551;BA.debugLine="FillChoiceBox1";
_fillchoicebox1();
RDebugUtils.currentLine=65552;
 //BA.debugLineNum = 65552;BA.debugLine="ChoiceBox1.SelectedIndex = 0";
_choicebox1.setSelectedIndex((int) (0));
RDebugUtils.currentLine=65554;
 //BA.debugLineNum = 65554;BA.debugLine="FillComboBox1";
_fillcombobox1();
RDebugUtils.currentLine=65555;
 //BA.debugLineNum = 65555;BA.debugLine="ComboBox1.SelectedIndex = 1";
_combobox1.setSelectedIndex((int) (1));
RDebugUtils.currentLine=65557;
 //BA.debugLineNum = 65557;BA.debugLine="TableView1.SetColumnSortable(2, False)";
_tableview1.SetColumnSortable((int) (2),anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=65558;
 //BA.debugLineNum = 65558;BA.debugLine="FillTableView";
_filltableview();
RDebugUtils.currentLine=65560;
 //BA.debugLineNum = 65560;BA.debugLine="InitSplitPane1";
_initsplitpane1();
RDebugUtils.currentLine=65561;
 //BA.debugLineNum = 65561;BA.debugLine="ckbVertical.Checked = SplitPane1.Vertical";
_ckbvertical.setChecked(_splitpane1.getVertical());
RDebugUtils.currentLine=65564;
 //BA.debugLineNum = 65564;BA.debugLine="imgFolderOpen.Initialize(File.DirAssets, \"FolderO";
_imgfolderopen.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"FolderOpen.jpg");
RDebugUtils.currentLine=65565;
 //BA.debugLineNum = 65565;BA.debugLine="InitTreeViews";
_inittreeviews();
RDebugUtils.currentLine=65566;
 //BA.debugLineNum = 65566;BA.debugLine="End Sub";
return "";
}
public static String  _initmenubar() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "initmenubar"))
	return (String) Debug.delegate(ba, "initmenubar", null);
anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper _mnutest = null;
anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper _mnutest1 = null;
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnutest11 = null;
anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper _mnutest12 = null;
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnutest121 = null;
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnutest122 = null;
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnutest2 = null;
anywheresoftware.b4j.object.JavaObject _mnuseparation = null;
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnutest3 = null;
anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper _mnutest4 = null;
RDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Private Sub InitMenuBar";
RDebugUtils.currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="Private mnuTest As Menu";
_mnutest = new anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper();
RDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="mnuTest.Initialize(\"Test\", \"\")";
_mnutest.Initialize(ba,"Test","");
RDebugUtils.currentLine=1114116;
 //BA.debugLineNum = 1114116;BA.debugLine="Private mnuTest1 As Menu";
_mnutest1 = new anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper();
RDebugUtils.currentLine=1114117;
 //BA.debugLineNum = 1114117;BA.debugLine="mnuTest1.Initialize(\"Test1\", \"\")";
_mnutest1.Initialize(ba,"Test1","");
RDebugUtils.currentLine=1114118;
 //BA.debugLineNum = 1114118;BA.debugLine="mnuTest.MenuItems.Add(mnuTest1)";
_mnutest.getMenuItems().Add((Object)(_mnutest1.getObject()));
RDebugUtils.currentLine=1114120;
 //BA.debugLineNum = 1114120;BA.debugLine="Private mnuTest11 As MenuItem";
_mnutest11 = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=1114121;
 //BA.debugLineNum = 1114121;BA.debugLine="mnuTest11.Initialize(\"Test11\", \"mnuTest\")";
_mnutest11.Initialize(ba,"Test11","mnuTest");
RDebugUtils.currentLine=1114122;
 //BA.debugLineNum = 1114122;BA.debugLine="mnuTest11.Tag = \"Test11\"";
_mnutest11.setTag((Object)("Test11"));
RDebugUtils.currentLine=1114123;
 //BA.debugLineNum = 1114123;BA.debugLine="mnuTest11.Image = imgFolderClosed";
_mnutest11.setImage((javafx.scene.image.Image)(_imgfolderclosed.getObject()));
RDebugUtils.currentLine=1114124;
 //BA.debugLineNum = 1114124;BA.debugLine="mnuTest1.MenuItems.Add(mnuTest11)";
_mnutest1.getMenuItems().Add((Object)(_mnutest11.getObject()));
RDebugUtils.currentLine=1114126;
 //BA.debugLineNum = 1114126;BA.debugLine="Private mnuTest12 As Menu";
_mnutest12 = new anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper();
RDebugUtils.currentLine=1114127;
 //BA.debugLineNum = 1114127;BA.debugLine="mnuTest12.Initialize(\"Test12\", \"\")";
_mnutest12.Initialize(ba,"Test12","");
RDebugUtils.currentLine=1114128;
 //BA.debugLineNum = 1114128;BA.debugLine="mnuTest12.Tag = \"Test12\"";
_mnutest12.setTag((Object)("Test12"));
RDebugUtils.currentLine=1114129;
 //BA.debugLineNum = 1114129;BA.debugLine="mnuTest1.MenuItems.Add(mnuTest12)";
_mnutest1.getMenuItems().Add((Object)(_mnutest12.getObject()));
RDebugUtils.currentLine=1114131;
 //BA.debugLineNum = 1114131;BA.debugLine="Private mnuTest121 As MenuItem";
_mnutest121 = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=1114132;
 //BA.debugLineNum = 1114132;BA.debugLine="mnuTest121.Initialize(\"Test121\", \"mnuTest\")";
_mnutest121.Initialize(ba,"Test121","mnuTest");
RDebugUtils.currentLine=1114133;
 //BA.debugLineNum = 1114133;BA.debugLine="mnuTest121.Tag = \"Test121\"";
_mnutest121.setTag((Object)("Test121"));
RDebugUtils.currentLine=1114134;
 //BA.debugLineNum = 1114134;BA.debugLine="mnuTest12.MenuItems.Add(mnuTest121)";
_mnutest12.getMenuItems().Add((Object)(_mnutest121.getObject()));
RDebugUtils.currentLine=1114136;
 //BA.debugLineNum = 1114136;BA.debugLine="Private mnuTest122 As MenuItem";
_mnutest122 = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=1114137;
 //BA.debugLineNum = 1114137;BA.debugLine="mnuTest122.Initialize(\"Test122\", \"mnuTest\")";
_mnutest122.Initialize(ba,"Test122","mnuTest");
RDebugUtils.currentLine=1114138;
 //BA.debugLineNum = 1114138;BA.debugLine="mnuTest122.Tag = \"Test122\"";
_mnutest122.setTag((Object)("Test122"));
RDebugUtils.currentLine=1114139;
 //BA.debugLineNum = 1114139;BA.debugLine="mnuTest12.MenuItems.Add(mnuTest122)";
_mnutest12.getMenuItems().Add((Object)(_mnutest122.getObject()));
RDebugUtils.currentLine=1114141;
 //BA.debugLineNum = 1114141;BA.debugLine="Private mnuTest2 As MenuItem";
_mnutest2 = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=1114142;
 //BA.debugLineNum = 1114142;BA.debugLine="mnuTest2.Initialize(\"Test2\", \"mnuTest\")";
_mnutest2.Initialize(ba,"Test2","mnuTest");
RDebugUtils.currentLine=1114143;
 //BA.debugLineNum = 1114143;BA.debugLine="mnuTest2.Tag = \"Test2\"";
_mnutest2.setTag((Object)("Test2"));
RDebugUtils.currentLine=1114144;
 //BA.debugLineNum = 1114144;BA.debugLine="mnuTest.MenuItems.Add(mnuTest2)";
_mnutest.getMenuItems().Add((Object)(_mnutest2.getObject()));
RDebugUtils.currentLine=1114146;
 //BA.debugLineNum = 1114146;BA.debugLine="Private mnuSeparation As JavaObject";
_mnuseparation = new anywheresoftware.b4j.object.JavaObject();
RDebugUtils.currentLine=1114147;
 //BA.debugLineNum = 1114147;BA.debugLine="mnuSeparation.InitializeNewInstance(\"javafx.scene";
_mnuseparation.InitializeNewInstance("javafx.scene.control.SeparatorMenuItem",(Object[])(anywheresoftware.b4a.keywords.Common.Null));
RDebugUtils.currentLine=1114148;
 //BA.debugLineNum = 1114148;BA.debugLine="mnuTest.MenuItems.Add(mnuSeparation)";
_mnutest.getMenuItems().Add((Object)(_mnuseparation.getObject()));
RDebugUtils.currentLine=1114150;
 //BA.debugLineNum = 1114150;BA.debugLine="Private mnuTest3 As MenuItem";
_mnutest3 = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=1114151;
 //BA.debugLineNum = 1114151;BA.debugLine="mnuTest3.Initialize(\"Test3\", \"mnuTest\")";
_mnutest3.Initialize(ba,"Test3","mnuTest");
RDebugUtils.currentLine=1114152;
 //BA.debugLineNum = 1114152;BA.debugLine="mnuTest3.Tag = \"Test3\"";
_mnutest3.setTag((Object)("Test3"));
RDebugUtils.currentLine=1114153;
 //BA.debugLineNum = 1114153;BA.debugLine="mnuTest.MenuItems.Add(mnuTest3)";
_mnutest.getMenuItems().Add((Object)(_mnutest3.getObject()));
RDebugUtils.currentLine=1114155;
 //BA.debugLineNum = 1114155;BA.debugLine="Private mnuTest4 As CheckMenuItem";
_mnutest4 = new anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper();
RDebugUtils.currentLine=1114156;
 //BA.debugLineNum = 1114156;BA.debugLine="mnuTest4.Initialize(\"Test4\", \"mnuTest4\")";
_mnutest4.Initialize(ba,"Test4","mnuTest4");
RDebugUtils.currentLine=1114157;
 //BA.debugLineNum = 1114157;BA.debugLine="mnuTest4.Tag = \"Test4\"";
_mnutest4.setTag((Object)("Test4"));
RDebugUtils.currentLine=1114158;
 //BA.debugLineNum = 1114158;BA.debugLine="mnuTest4.Selected = True";
_mnutest4.setSelected(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1114159;
 //BA.debugLineNum = 1114159;BA.debugLine="mnuTest.MenuItems.Add(mnuTest4)";
_mnutest.getMenuItems().Add((Object)(_mnutest4.getObject()));
RDebugUtils.currentLine=1114161;
 //BA.debugLineNum = 1114161;BA.debugLine="MenuBar1.Menus.Add(mnuTest)";
_menubar1.getMenus().Add((Object)(_mnutest.getObject()));
RDebugUtils.currentLine=1114162;
 //BA.debugLineNum = 1114162;BA.debugLine="End Sub";
return "";
}
public static String  _fillchoicebox1() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "fillchoicebox1"))
	return (String) Debug.delegate(ba, "fillchoicebox1", null);
RDebugUtils.currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Private Sub FillChoiceBox1";
RDebugUtils.currentLine=1179649;
 //BA.debugLineNum = 1179649;BA.debugLine="ChoiceBox1.Items.AddAll(Array As String(\"Apple\",";
_choicebox1.getItems().AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Apple","Banana","Orange","Kiwi"}));
RDebugUtils.currentLine=1179650;
 //BA.debugLineNum = 1179650;BA.debugLine="End Sub";
return "";
}
public static String  _fillcombobox1() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "fillcombobox1"))
	return (String) Debug.delegate(ba, "fillcombobox1", null);
RDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Private Sub FillComboBox1";
RDebugUtils.currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="ComboBox1.Items.AddAll(Array As String(\"Bern\", \"P";
_combobox1.getItems().AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Bern","Paris","Berlin","Wien","Roma","Madrid","London","Bruxel","Stockholm","Praha"}));
RDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="End Sub";
return "";
}
public static String  _filltableview() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "filltableview"))
	return (String) Debug.delegate(ba, "filltableview", null);
anywheresoftware.b4a.objects.collections.List _lsttable = null;
RDebugUtils.currentLine=1310720;
 //BA.debugLineNum = 1310720;BA.debugLine="Private Sub FillTableView";
RDebugUtils.currentLine=1310721;
 //BA.debugLineNum = 1310721;BA.debugLine="Private lstTable As List";
_lsttable = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=1310722;
 //BA.debugLineNum = 1310722;BA.debugLine="lstTable.Initialize";
_lsttable.Initialize();
RDebugUtils.currentLine=1310723;
 //BA.debugLineNum = 1310723;BA.debugLine="lstTable.Add(Array As Object(\"John\", \"WAYNE\", \"Lo";
_lsttable.Add((Object)(new Object[]{(Object)("John"),(Object)("WAYNE"),(Object)("Los Angeles")}));
RDebugUtils.currentLine=1310724;
 //BA.debugLineNum = 1310724;BA.debugLine="lstTable.Add(Array As Object(\"Ronald\", \"REGAN\", \"";
_lsttable.Add((Object)(new Object[]{(Object)("Ronald"),(Object)("REGAN"),(Object)("Washington")}));
RDebugUtils.currentLine=1310725;
 //BA.debugLineNum = 1310725;BA.debugLine="lstTable.Add(Array As Object(\"Barak\", \"OBAMA\", \"C";
_lsttable.Add((Object)(new Object[]{(Object)("Barak"),(Object)("OBAMA"),(Object)("Chicago")}));
RDebugUtils.currentLine=1310726;
 //BA.debugLineNum = 1310726;BA.debugLine="lstTable.Add(Array As Object(\"Robert\", \"REDFORD\",";
_lsttable.Add((Object)(new Object[]{(Object)("Robert"),(Object)("REDFORD"),(Object)("San Francisco")}));
RDebugUtils.currentLine=1310727;
 //BA.debugLineNum = 1310727;BA.debugLine="lstTable.Add(Array As Object(\"Julia\", \"ROBERTS\",";
_lsttable.Add((Object)(new Object[]{(Object)("Julia"),(Object)("ROBERTS"),(Object)("San Diego")}));
RDebugUtils.currentLine=1310728;
 //BA.debugLineNum = 1310728;BA.debugLine="lstTable.Add(Array As Object(\"Meryl\", \"STREEP\", \"";
_lsttable.Add((Object)(new Object[]{(Object)("Meryl"),(Object)("STREEP"),(Object)("Sacramento")}));
RDebugUtils.currentLine=1310729;
 //BA.debugLineNum = 1310729;BA.debugLine="lstTable.Add(Array As Object(\"Jodie\", \"FOSTER\", \"";
_lsttable.Add((Object)(new Object[]{(Object)("Jodie"),(Object)("FOSTER"),(Object)("San Diego")}));
RDebugUtils.currentLine=1310730;
 //BA.debugLineNum = 1310730;BA.debugLine="TableView1.Items = lstTable";
_tableview1.setItems(_lsttable);
RDebugUtils.currentLine=1310731;
 //BA.debugLineNum = 1310731;BA.debugLine="End Sub";
return "";
}
public static String  _initsplitpane1() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "initsplitpane1"))
	return (String) Debug.delegate(ba, "initsplitpane1", null);
RDebugUtils.currentLine=1376256;
 //BA.debugLineNum = 1376256;BA.debugLine="Private Sub InitSplitPane1";
RDebugUtils.currentLine=1376257;
 //BA.debugLineNum = 1376257;BA.debugLine="SplitPane1.LoadLayout(\"UpperPane\")";
_splitpane1.LoadLayout(ba,"UpperPane");
RDebugUtils.currentLine=1376258;
 //BA.debugLineNum = 1376258;BA.debugLine="SplitPane1.LoadLayout(\"MiddlePane\")";
_splitpane1.LoadLayout(ba,"MiddlePane");
RDebugUtils.currentLine=1376259;
 //BA.debugLineNum = 1376259;BA.debugLine="SplitPane1.LoadLayout(\"LowerPane\")";
_splitpane1.LoadLayout(ba,"LowerPane");
RDebugUtils.currentLine=1376260;
 //BA.debugLineNum = 1376260;BA.debugLine="SplitPane1.DividerPositions = Array As Double(0.3";
_splitpane1.setDividerPositions(new double[]{0.33,0.66});
RDebugUtils.currentLine=1376261;
 //BA.debugLineNum = 1376261;BA.debugLine="SplitPane1.SetSizeLimits(0, 100, 0)";
_splitpane1.SetSizeLimits((int) (0),100,0);
RDebugUtils.currentLine=1376262;
 //BA.debugLineNum = 1376262;BA.debugLine="SplitPane1.SetSizeLimits(1, 100, 0)";
_splitpane1.SetSizeLimits((int) (1),100,0);
RDebugUtils.currentLine=1376263;
 //BA.debugLineNum = 1376263;BA.debugLine="SplitPane1.SetSizeLimits(2, 100, 0)";
_splitpane1.SetSizeLimits((int) (2),100,0);
RDebugUtils.currentLine=1376264;
 //BA.debugLineNum = 1376264;BA.debugLine="End Sub";
return "";
}
public static String  _inittreeviews() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "inittreeviews"))
	return (String) Debug.delegate(ba, "inittreeviews", null);
int _i = 0;
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _ti = null;
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _cti = null;
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _gcti = null;
anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper _cbti = null;
anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper _cbcti = null;
anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper _cbgcti = null;
RDebugUtils.currentLine=1441792;
 //BA.debugLineNum = 1441792;BA.debugLine="Private Sub InitTreeViews";
RDebugUtils.currentLine=1441793;
 //BA.debugLineNum = 1441793;BA.debugLine="For i = 1 To 10";
{
final int step1 = 1;
final int limit1 = (int) (10);
for (_i = (int) (1) ; (step1 > 0 && _i <= limit1) || (step1 < 0 && _i >= limit1); _i = ((int)(0 + _i + step1)) ) {
RDebugUtils.currentLine=1441794;
 //BA.debugLineNum = 1441794;BA.debugLine="Private ti As TreeItem";
_ti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=1441795;
 //BA.debugLineNum = 1441795;BA.debugLine="ti.Initialize(\"TreeView1Item\", \"Item #\" & i)";
_ti.Initialize(ba,"TreeView1Item","Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441796;
 //BA.debugLineNum = 1441796;BA.debugLine="Private cti As TreeItem";
_cti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=1441797;
 //BA.debugLineNum = 1441797;BA.debugLine="If i = 4 Then";
if (_i==4) { 
RDebugUtils.currentLine=1441798;
 //BA.debugLineNum = 1441798;BA.debugLine="cti.Initialize(\"TreeView1Item\", \"Child of Item";
_cti.Initialize(ba,"TreeView1Item","Child of Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441799;
 //BA.debugLineNum = 1441799;BA.debugLine="ti.Children.Add(cti) 'add the child";
_ti.getChildren().Add((Object)(_cti.getObject()));
RDebugUtils.currentLine=1441800;
 //BA.debugLineNum = 1441800;BA.debugLine="ti.Image = imgFolderClosed";
_ti.setImage((javafx.scene.image.Image)(_imgfolderclosed.getObject()));
RDebugUtils.currentLine=1441801;
 //BA.debugLineNum = 1441801;BA.debugLine="Private gcti As TreeItem";
_gcti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=1441802;
 //BA.debugLineNum = 1441802;BA.debugLine="gcti.Initialize(\"TreeView1Item\", \"Grandchild of";
_gcti.Initialize(ba,"TreeView1Item","Grandchild of Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441803;
 //BA.debugLineNum = 1441803;BA.debugLine="cti.Children.Add(gcti) 'add the grandchild";
_cti.getChildren().Add((Object)(_gcti.getObject()));
RDebugUtils.currentLine=1441804;
 //BA.debugLineNum = 1441804;BA.debugLine="cti.Image = imgFolderClosed";
_cti.setImage((javafx.scene.image.Image)(_imgfolderclosed.getObject()));
 }else {
RDebugUtils.currentLine=1441806;
 //BA.debugLineNum = 1441806;BA.debugLine="cti.Initialize(\"TreeView1Item\", \"My father is I";
_cti.Initialize(ba,"TreeView1Item","My father is Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441807;
 //BA.debugLineNum = 1441807;BA.debugLine="ti.Children.Add(cti) 'add the child";
_ti.getChildren().Add((Object)(_cti.getObject()));
RDebugUtils.currentLine=1441808;
 //BA.debugLineNum = 1441808;BA.debugLine="ti.Image = imgFolderClosed";
_ti.setImage((javafx.scene.image.Image)(_imgfolderclosed.getObject()));
 };
RDebugUtils.currentLine=1441810;
 //BA.debugLineNum = 1441810;BA.debugLine="TreeView1.Root.Children.Add(ti) 'add the father";
_treeview1.getRoot().getChildren().Add((Object)(_ti.getObject()));
 }
};
RDebugUtils.currentLine=1441813;
 //BA.debugLineNum = 1441813;BA.debugLine="TreeView2.SetCheckBoxesMode";
_treeview2.SetCheckBoxesMode();
RDebugUtils.currentLine=1441814;
 //BA.debugLineNum = 1441814;BA.debugLine="For i = 1 To 10";
{
final int step21 = 1;
final int limit21 = (int) (10);
for (_i = (int) (1) ; (step21 > 0 && _i <= limit21) || (step21 < 0 && _i >= limit21); _i = ((int)(0 + _i + step21)) ) {
RDebugUtils.currentLine=1441815;
 //BA.debugLineNum = 1441815;BA.debugLine="Private cbti As CheckboxTreeItem";
_cbti = new anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper();
RDebugUtils.currentLine=1441816;
 //BA.debugLineNum = 1441816;BA.debugLine="cbti.Initialize(\"TreeView2Item\", \"Item #\" & i)";
_cbti.Initialize(ba,"TreeView2Item","Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441817;
 //BA.debugLineNum = 1441817;BA.debugLine="Private cbcti As CheckboxTreeItem";
_cbcti = new anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper();
RDebugUtils.currentLine=1441818;
 //BA.debugLineNum = 1441818;BA.debugLine="If i = 4 Then";
if (_i==4) { 
RDebugUtils.currentLine=1441819;
 //BA.debugLineNum = 1441819;BA.debugLine="cbcti.Initialize(\"TreeView2Item\", \"Child of Ite";
_cbcti.Initialize(ba,"TreeView2Item","Child of Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441820;
 //BA.debugLineNum = 1441820;BA.debugLine="cbti.Children.Add(cbcti) 'add the child";
_cbti.getChildren().Add((Object)(_cbcti.getObject()));
RDebugUtils.currentLine=1441821;
 //BA.debugLineNum = 1441821;BA.debugLine="Private cbgcti As CheckboxTreeItem";
_cbgcti = new anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper();
RDebugUtils.currentLine=1441822;
 //BA.debugLineNum = 1441822;BA.debugLine="cbgcti.Initialize(\"TreeView2Item\", \"Grandchild";
_cbgcti.Initialize(ba,"TreeView2Item","Grandchild of Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441823;
 //BA.debugLineNum = 1441823;BA.debugLine="cbcti.Children.Add(cbgcti) 'add the grandchild";
_cbcti.getChildren().Add((Object)(_cbgcti.getObject()));
 }else {
RDebugUtils.currentLine=1441825;
 //BA.debugLineNum = 1441825;BA.debugLine="cbcti.Initialize(\"TreeView2Item\", \"My father is";
_cbcti.Initialize(ba,"TreeView2Item","My father is Item #"+BA.NumberToString(_i));
RDebugUtils.currentLine=1441826;
 //BA.debugLineNum = 1441826;BA.debugLine="cbti.Children.Add(cbcti) 'add the child";
_cbti.getChildren().Add((Object)(_cbcti.getObject()));
 };
RDebugUtils.currentLine=1441828;
 //BA.debugLineNum = 1441828;BA.debugLine="TreeView2.Root.Children.Add(cbti) 'add the fathe";
_treeview2.getRoot().getChildren().Add((Object)(_cbti.getObject()));
 }
};
RDebugUtils.currentLine=1441830;
 //BA.debugLineNum = 1441830;BA.debugLine="End Sub";
return "";
}
public static String  _ckbcellselect_checkedchange(boolean _checked) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "ckbcellselect_checkedchange"))
	return (String) Debug.delegate(ba, "ckbcellselect_checkedchange", new Object[] {_checked});
RDebugUtils.currentLine=655360;
 //BA.debugLineNum = 655360;BA.debugLine="Private Sub ckbCellSelect_CheckedChange(Checked As";
RDebugUtils.currentLine=655361;
 //BA.debugLineNum = 655361;BA.debugLine="TableView1.SingleCellSelection = Checked";
_tableview1.setSingleCellSelection(_checked);
RDebugUtils.currentLine=655362;
 //BA.debugLineNum = 655362;BA.debugLine="End Sub";
return "";
}
public static String  _ckbvertical_checkedchange(boolean _checked) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "ckbvertical_checkedchange"))
	return (String) Debug.delegate(ba, "ckbvertical_checkedchange", new Object[] {_checked});
RDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Private Sub ckbVertical_CheckedChange(Checked As B";
RDebugUtils.currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="SplitPane1.Vertical = Checked";
_splitpane1.setVertical(_checked);
RDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="End Sub";
return "";
}
public static String  _datepicker1_valuechanged(long _value) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "datepicker1_valuechanged"))
	return (String) Debug.delegate(ba, "datepicker1_valuechanged", new Object[] {_value});
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Private Sub DatePicker1_ValueChanged (Value As Lon";
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="Log(Value)";
anywheresoftware.b4a.keywords.Common.Log(BA.NumberToString(_value));
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="Log(DateTime.Date(Value))";
anywheresoftware.b4a.keywords.Common.Log(anywheresoftware.b4a.keywords.Common.DateTime.Date(_value));
RDebugUtils.currentLine=458756;
 //BA.debugLineNum = 458756;BA.debugLine="End Sub";
return "";
}
public static String  _menubar1_action() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "menubar1_action"))
	return (String) Debug.delegate(ba, "menubar1_action", null);
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnu = null;
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub MenuBar1_Action";
RDebugUtils.currentLine=131073;
 //BA.debugLineNum = 131073;BA.debugLine="Private mnu As MenuItem";
_mnu = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="mnu = Sender	'get the MenuItem which raised the e";
_mnu.setObject((javafx.scene.control.MenuItem)(anywheresoftware.b4a.keywords.Common.Sender(ba)));
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="Select mnu.Text";
switch (BA.switchObjectToInt(_mnu.getText(),"_New","_Save","Checked Item","_Close","Cu_t","_Copy","_Paste","Item With Tag")) {
case 0: {
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="MainForm.Title = \"Menu File / New\"";
_mainform.setTitle("Menu File / New");
 break; }
case 1: {
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="MainForm.Title = \"Menu File / Save\"";
_mainform.setTitle("Menu File / Save");
 break; }
case 2: {
RDebugUtils.currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="MainForm.Title = \"Menu File / Checked Item\"";
_mainform.setTitle("Menu File / Checked Item");
 break; }
case 3: {
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="MainForm.Title = \"Menu File / Close\"";
_mainform.setTitle("Menu File / Close");
 break; }
case 4: {
RDebugUtils.currentLine=131087;
 //BA.debugLineNum = 131087;BA.debugLine="MainForm.Title = \"Menu Edit / Cut\"";
_mainform.setTitle("Menu Edit / Cut");
 break; }
case 5: {
RDebugUtils.currentLine=131089;
 //BA.debugLineNum = 131089;BA.debugLine="MainForm.Title = \"Menu Edit / Copy\"";
_mainform.setTitle("Menu Edit / Copy");
 break; }
case 6: {
RDebugUtils.currentLine=131091;
 //BA.debugLineNum = 131091;BA.debugLine="MainForm.Title = \"Menu Edit / Paste\"";
_mainform.setTitle("Menu Edit / Paste");
 break; }
case 7: {
RDebugUtils.currentLine=131093;
 //BA.debugLineNum = 131093;BA.debugLine="MainForm.Title = \"Menu Help / Item With Tag\"";
_mainform.setTitle("Menu Help / Item With Tag");
 break; }
}
;
RDebugUtils.currentLine=131095;
 //BA.debugLineNum = 131095;BA.debugLine="End Sub";
return "";
}
public static String  _menubar1_selectedchange(boolean _selected) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "menubar1_selectedchange"))
	return (String) Debug.delegate(ba, "menubar1_selectedchange", new Object[] {_selected});
anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper _cmi = null;
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub MenuBar1_SelectedChange(Selected As Bo";
RDebugUtils.currentLine=196609;
 //BA.debugLineNum = 196609;BA.debugLine="Private cmi As CheckMenuItem";
_cmi = new anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper();
RDebugUtils.currentLine=196611;
 //BA.debugLineNum = 196611;BA.debugLine="cmi = Sender";
_cmi.setObject((javafx.scene.control.CheckMenuItem)(anywheresoftware.b4a.keywords.Common.Sender(ba)));
RDebugUtils.currentLine=196613;
 //BA.debugLineNum = 196613;BA.debugLine="Select cmi.Text";
switch (BA.switchObjectToInt(_cmi.getText(),"Checked Item")) {
case 0: {
RDebugUtils.currentLine=196615;
 //BA.debugLineNum = 196615;BA.debugLine="MainForm.Title = \"Menu File / Checked Item selec";
_mainform.setTitle("Menu File / Checked Item selection"+BA.ObjectToString(_cmi.getSelected()));
 break; }
}
;
RDebugUtils.currentLine=196617;
 //BA.debugLineNum = 196617;BA.debugLine="End Sub";
return "";
}
public static String  _mnu1234_action() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "mnu1234_action"))
	return (String) Debug.delegate(ba, "mnu1234_action", null);
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Private Sub mnu1234_Action";
RDebugUtils.currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="MainForm.Title = \"Menu Help / Item With Unique E";
_mainform.setTitle("Menu Help / Item With Unique Event Name");
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _mnutest_action() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "mnutest_action"))
	return (String) Debug.delegate(ba, "mnutest_action", null);
anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper _mnu = null;
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Private Sub mnuTest_Action";
RDebugUtils.currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="Private mnu As MenuItem";
_mnu = new anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper();
RDebugUtils.currentLine=327683;
 //BA.debugLineNum = 327683;BA.debugLine="mnu = Sender";
_mnu.setObject((javafx.scene.control.MenuItem)(anywheresoftware.b4a.keywords.Common.Sender(ba)));
RDebugUtils.currentLine=327685;
 //BA.debugLineNum = 327685;BA.debugLine="Select mnu.Tag";
switch (BA.switchObjectToInt(_mnu.getTag(),(Object)(("Test11")),(Object)(("Test121")),(Object)(("Test122")),(Object)(("Test2")),(Object)(("Test3")))) {
case 0: {
RDebugUtils.currentLine=327687;
 //BA.debugLineNum = 327687;BA.debugLine="MainForm.Title = \"Menu Test / Test11\"";
_mainform.setTitle("Menu Test / Test11");
 break; }
case 1: {
RDebugUtils.currentLine=327689;
 //BA.debugLineNum = 327689;BA.debugLine="MainForm.Title = \"Menu Test / Test121\"";
_mainform.setTitle("Menu Test / Test121");
 break; }
case 2: {
RDebugUtils.currentLine=327691;
 //BA.debugLineNum = 327691;BA.debugLine="MainForm.Title = \"Menu Test / Test122\"";
_mainform.setTitle("Menu Test / Test122");
 break; }
case 3: {
RDebugUtils.currentLine=327693;
 //BA.debugLineNum = 327693;BA.debugLine="MainForm.Title = \"Menu Test / Test2\"";
_mainform.setTitle("Menu Test / Test2");
 break; }
case 4: {
RDebugUtils.currentLine=327695;
 //BA.debugLineNum = 327695;BA.debugLine="MainForm.Title = \"Menu Test / Test3\"";
_mainform.setTitle("Menu Test / Test3");
 break; }
}
;
RDebugUtils.currentLine=327697;
 //BA.debugLineNum = 327697;BA.debugLine="End Sub";
return "";
}
public static String  _mnutest4_selectedchange(boolean _selected) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "mnutest4_selectedchange"))
	return (String) Debug.delegate(ba, "mnutest4_selectedchange", new Object[] {_selected});
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Private Sub mnuTest4_SelectedChange (Selected As B";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="MainForm.Title = \"Menu Test / Test4 checked = \" &";
_mainform.setTitle("Menu Test / Test4 checked = "+BA.ObjectToString(_selected));
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="End Sub";
return "";
}
public static String  _tableview1_selectedcellchanged(int _rowindex,int _colindex,Object _cell) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "tableview1_selectedcellchanged"))
	return (String) Debug.delegate(ba, "tableview1_selectedcellchanged", new Object[] {_rowindex,_colindex,_cell});
RDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Private Sub TableView1_SelectedCellChanged (RowInd";
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="lblTableView.Text = \"Cell value = \" & Cell";
_lbltableview.setText("Cell value = "+BA.ObjectToString(_cell));
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="Log(Cell)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_cell));
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="End Sub";
return "";
}
public static String  _tableview1_selectedrowchanged(int _index,Object[] _row) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "tableview1_selectedrowchanged"))
	return (String) Debug.delegate(ba, "tableview1_selectedrowchanged", new Object[] {_index,_row});
RDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Private Sub TableView1_SelectedRowChanged(Index As";
RDebugUtils.currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="lblTableView.Text = \"Row index = \" & Index";
_lbltableview.setText("Row index = "+BA.NumberToString(_index));
RDebugUtils.currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="Log(Index)";
anywheresoftware.b4a.keywords.Common.Log(BA.NumberToString(_index));
RDebugUtils.currentLine=589827;
 //BA.debugLineNum = 589827;BA.debugLine="End Sub";
return "";
}
public static String  _treeview1_selecteditemchanged(anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _selecteditem) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "treeview1_selecteditemchanged"))
	return (String) Debug.delegate(ba, "treeview1_selecteditemchanged", new Object[] {_selecteditem});
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _ti = null;
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Private Sub TreeView1_SelectedItemChanged(Selected";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="Private ti As TreeItem";
_ti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="ti = SelectedItem";
_ti = _selecteditem;
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="lblTreeView1.Text = ti.Text";
_lbltreeview1.setText(_ti.getText());
RDebugUtils.currentLine=786437;
 //BA.debugLineNum = 786437;BA.debugLine="Log(ti.Text)";
anywheresoftware.b4a.keywords.Common.Log(_ti.getText());
RDebugUtils.currentLine=786438;
 //BA.debugLineNum = 786438;BA.debugLine="End Sub";
return "";
}
public static String  _treeview1item_expandedchanged(boolean _expanded) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "treeview1item_expandedchanged"))
	return (String) Debug.delegate(ba, "treeview1item_expandedchanged", new Object[] {_expanded});
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _ti = null;
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Private Sub TreeView1Item_ExpandedChanged(Expanded";
RDebugUtils.currentLine=851969;
 //BA.debugLineNum = 851969;BA.debugLine="Private ti As TreeItem";
_ti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="ti = Sender";
_ti.setObject((javafx.scene.control.TreeItem)(anywheresoftware.b4a.keywords.Common.Sender(ba)));
RDebugUtils.currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="If Expanded = True Then";
if (_expanded==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="ti.Image = imgFolderOpen";
_ti.setImage((javafx.scene.image.Image)(_imgfolderopen.getObject()));
 }else {
RDebugUtils.currentLine=851975;
 //BA.debugLineNum = 851975;BA.debugLine="ti.Image = imgFolderClosed";
_ti.setImage((javafx.scene.image.Image)(_imgfolderclosed.getObject()));
 };
RDebugUtils.currentLine=851977;
 //BA.debugLineNum = 851977;BA.debugLine="lblTreeView1.Text = ti.Text & \" expended : \" & Ex";
_lbltreeview1.setText(_ti.getText()+" expended : "+BA.ObjectToString(_expanded));
RDebugUtils.currentLine=851978;
 //BA.debugLineNum = 851978;BA.debugLine="Log(lblTreeView2.Text)";
anywheresoftware.b4a.keywords.Common.Log(_lbltreeview2.getText());
RDebugUtils.currentLine=851979;
 //BA.debugLineNum = 851979;BA.debugLine="End Sub";
return "";
}
public static String  _treeview2_selecteditemchanged(anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _selecteditem) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "treeview2_selecteditemchanged"))
	return (String) Debug.delegate(ba, "treeview2_selecteditemchanged", new Object[] {_selecteditem});
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _ti = null;
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Private Sub TreeView2_SelectedItemChanged(Selected";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Private ti As TreeItem";
_ti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="ti = SelectedItem";
_ti = _selecteditem;
RDebugUtils.currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="lblTreeView2.Text = ti.Text";
_lbltreeview2.setText(_ti.getText());
RDebugUtils.currentLine=917509;
 //BA.debugLineNum = 917509;BA.debugLine="Log(ti.Text)";
anywheresoftware.b4a.keywords.Common.Log(_ti.getText());
RDebugUtils.currentLine=917510;
 //BA.debugLineNum = 917510;BA.debugLine="End Sub";
return "";
}
public static String  _treeview2item_checkedchange(boolean _checked) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "treeview2item_checkedchange"))
	return (String) Debug.delegate(ba, "treeview2item_checkedchange", new Object[] {_checked});
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _cbti = null;
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Private Sub TreeView2Item_CheckedChange(Checked As";
RDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="Private cbti As TreeItem";
_cbti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="cbti = Sender";
_cbti.setObject((javafx.scene.control.TreeItem)(anywheresoftware.b4a.keywords.Common.Sender(ba)));
RDebugUtils.currentLine=983044;
 //BA.debugLineNum = 983044;BA.debugLine="lblTreeView2.Text = cbti.Text & \" checked : \" &Ch";
_lbltreeview2.setText(_cbti.getText()+" checked : "+BA.ObjectToString(_checked));
RDebugUtils.currentLine=983045;
 //BA.debugLineNum = 983045;BA.debugLine="Log(lblTreeView1.Text)";
anywheresoftware.b4a.keywords.Common.Log(_lbltreeview1.getText());
RDebugUtils.currentLine=983046;
 //BA.debugLineNum = 983046;BA.debugLine="End Sub";
return "";
}
public static String  _treeview2item_expandedchanged(boolean _expanded) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(ba, "treeview2item_expandedchanged"))
	return (String) Debug.delegate(ba, "treeview2item_expandedchanged", new Object[] {_expanded});
anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper _cbti = null;
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Private Sub TreeView2Item_ExpandedChanged(Expanded";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="Private cbti As TreeItem";
_cbti = new anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper();
RDebugUtils.currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="cbti = Sender";
_cbti.setObject((javafx.scene.control.TreeItem)(anywheresoftware.b4a.keywords.Common.Sender(ba)));
RDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="lblTreeView2.Text = cbti.Text & \" expended : \" &";
_lbltreeview2.setText(_cbti.getText()+" expended : "+BA.ObjectToString(_expanded));
RDebugUtils.currentLine=1048581;
 //BA.debugLineNum = 1048581;BA.debugLine="Log(lblTreeView2.Text)";
anywheresoftware.b4a.keywords.Common.Log(_lbltreeview2.getText());
RDebugUtils.currentLine=1048582;
 //BA.debugLineNum = 1048582;BA.debugLine="End Sub";
return "";
}
}